[Scipy-tickets] [SciPy] #448: Support Python 2.6

SciPy scipy-tickets@scipy....
Mon Jun 11 03:53:30 CDT 2007


#448: Support Python 2.6
-------------------------+--------------------------------------------------
 Reporter:  ion          |       Owner:  somebody
     Type:  enhancement  |      Status:  new     
 Priority:  normal       |   Milestone:          
Component:  Other        |     Version:          
 Severity:  normal       |    Keywords:          
-------------------------+--------------------------------------------------
 The following simple patch allows Scipy to work fully with Python 2.6.
 It also fixes the same kind of python < 2.6-ism in relevant files in the
 sandbox.

 (in python 2.6, 'as' is a keyword; this patch just changes variable names
 'as' -> 'as_')

 Most parts of scipy are usable without it, but searching the module help
 is broken unless this change is made.

-- 
Ticket URL: <http://projects.scipy.org/scipy/scipy/ticket/448>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list